com.dlsc.flexgantt.swing.util

## Enum PathCalculator.TargetLocation

- java.lang.Object
- - java.lang.Enum<PathCalculator.TargetLocation>
  - - com.dlsc.flexgantt.swing.util.PathCalculator.TargetLocation

- All Implemented Interfaces:
    Serializable, Comparable<PathCalculator.TargetLocation>
  Enclosing class:
    PathCalculator

      public static enum PathCalculator.TargetLocation
      extends Enum<PathCalculator.TargetLocation>

  An enumerator of possible locations that the target object can have relative to the source object. If the target object is for example in a row above the source object and the x-coordinate of its start time is before the x-coordinate of the end time of the source object then it is located `ABOVE_LEFT`.
  Since:
    1.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ABOVE` A enumerator value indicating that the target object is located in a row above the source object and that the x-coordinate of its start time is equal to the x-coordinate of the end time of the source object.
    `ABOVE_LEFT` A enumerator value indicating that the target object is located in a row above the source object and that the x-coordinate of its start time is smaller than the x-coordinate of the end time of the source object.
    `ABOVE_RIGHT` A enumerator value indicating that the target object is located in a row above the source object and that the x-coordinate of its start time is larger than the x-coordinate of the end time of the source object.
    `BELOW` A enumerator value indicating that the target object is located in a row below the source object and that the x-coordinate of its start time is equal to the x-coordinate of the end time of the source object.
    `BELOW_LEFT` A enumerator value indicating that the target object is located in a row below the source object and that the x-coordinate of its start time is smaller than the x-coordinate of the end time of the source object.
    `BELOW_RIGHT` A enumerator value indicating that the target object is located in a row below the source object and that the x-coordinate of its start time is larger than the x-coordinate of the end time of the source object.
    `LEFT` A enumerator value indicating that the target object is located in the same row as the source object and that the x-coordinate of its start time is smaller than the x-coordinate of the end time of the source object.
    `RIGHT` A enumerator value indicating that the target object is located in the same row as the source object and that the x-coordinate of its start time is larger than the x-coordinate of the end time of the source object.
    `SAME_LOCATION` A enumerator value indicating that the target object is located in the same row as the source object and that the x-coordinate of its start time is equal to the x-coordinate of the end time of the source object.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PathCalculator.TargetLocation` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static PathCalculator.TargetLocation[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BELOW_RIGHT

          public static final PathCalculator.TargetLocation BELOW_RIGHT

      A enumerator value indicating that the target object is located in a row below the source object and that the x-coordinate of its start time is larger than the x-coordinate of the end time of the source object.
      Since:
        1.0

    - #### BELOW

          public static final PathCalculator.TargetLocation BELOW

      A enumerator value indicating that the target object is located in a row below the source object and that the x-coordinate of its start time is equal to the x-coordinate of the end time of the source object.
      Since:
        1.0

    - #### BELOW_LEFT

          public static final PathCalculator.TargetLocation BELOW_LEFT

      A enumerator value indicating that the target object is located in a row below the source object and that the x-coordinate of its start time is smaller than the x-coordinate of the end time of the source object.
      Since:
        1.0

    - #### ABOVE_RIGHT

          public static final PathCalculator.TargetLocation ABOVE_RIGHT

      A enumerator value indicating that the target object is located in a row above the source object and that the x-coordinate of its start time is larger than the x-coordinate of the end time of the source object.
      Since:
        1.0

    - #### ABOVE

          public static final PathCalculator.TargetLocation ABOVE

      A enumerator value indicating that the target object is located in a row above the source object and that the x-coordinate of its start time is equal to the x-coordinate of the end time of the source object.
      Since:
        1.0

    - #### ABOVE_LEFT

          public static final PathCalculator.TargetLocation ABOVE_LEFT

      A enumerator value indicating that the target object is located in a row above the source object and that the x-coordinate of its start time is smaller than the x-coordinate of the end time of the source object.
      Since:
        1.0

    - #### LEFT

          public static final PathCalculator.TargetLocation LEFT

      A enumerator value indicating that the target object is located in the same row as the source object and that the x-coordinate of its start time is smaller than the x-coordinate of the end time of the source object.
      Since:
        1.0

    - #### RIGHT

          public static final PathCalculator.TargetLocation RIGHT

      A enumerator value indicating that the target object is located in the same row as the source object and that the x-coordinate of its start time is larger than the x-coordinate of the end time of the source object.
      Since:
        1.0

    - #### SAME_LOCATION

          public static final PathCalculator.TargetLocation SAME_LOCATION

      A enumerator value indicating that the target object is located in the same row as the source object and that the x-coordinate of its start time is equal to the x-coordinate of the end time of the source object.
      Since:
        1.0

  - ### Method Detail

    - #### values

          public static PathCalculator.TargetLocation[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PathCalculator.TargetLocation c : PathCalculator.TargetLocation.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PathCalculator.TargetLocation valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.